вторник, 29 марта 2011 г.

Включаем "несовместимые" расширения в Firefox 4

Всем привет!
Как вы знаете, совсем недавно любимый многими браузер Mozilla Firefox обновился до четвертой стабильной версии. Интерфейс стал красивым и современным, скорость загрузки и работы существенно возросла. В общем и целом обновленный "огненный лис" порадовал.

Меня огорчило только, что некоторые разработчики так и не удосужились обеспечить совместимость своих расширений с новой версией браузера. Такие расширения отключаются по умолчанию после обновления и становятся недоступными. В частности, у меня отвалилось  расширение, к которому я очень привык - "Просмотр HTTP-заголовков".

Но не все так плохо, "несовместимые" расширения можно включить! Для этого:
  • Нам нужно зайти на страницу настроек Firefox. Набираем в адресной строке "about:config", читаем предупреждение и жмем "Я обещаю, что буду осторожен!"
  • Добавим параметр, отключающий проверку совместимости расширений. Правый клик в окне настроек и затем выбираем "Создать" -> "Логическое"
  • Указываем имя параметра - "extensions.checkCompatibility.4.0".
  • Устанавливаем значение - false.

Все! После этого перезапускаем браузер и все несовместимые плагины включаются. В моем случае расширение "Просмотр HTTP-заголовков" заработало без видимых ошибок. Тем не менее, используйте данную настройку осторожно! Далеко не факт, что все ваши "несовместимые" расширения будут работать без проблем. Лучше всего отдельно протестировать работоспособность каждого из них. Те расширения, с которыми проблем не замечено оставить, а остальные отключить.